# Argon LTP Project Code
This repository contains all the code related to the 2023 LTP experiment of the [McGill Interstellar Flight Experimental Research Group](https://interstellarflight.space). This includes analysis scripts, modelling code, and the LaTeX source of the associated Master's thesis:

Duplay, Emmanuel. “Argon Laser-Plasma Thruster - Design and Test of a Laboratory Model.” M.Sc. Thesis, Delft University of Technology, 2024.

## Structure
The repository is organized as follows:
```
cachedata/  # cache for data generated/downloaded by some scripts
code/  # processing, analysis, and modelling code
figures/  # figures generated by code, but not used in report
rawdata/  # raw data used for modelling and analysis (NOT EXPERIMENTAL DATA)
report/  # LaTeX source, including assets
```

The most useful part of this repository is likely `code`, everything else is there just to support the scripts in it. A separate README is available in that directory, providing usage information. 

The thesis source could be useful if you're just *really* interested in my custom LaTeX template... If you actually are, make sure to use XeLaTeX to build the project.

Note that `rawdata` is *not* the data collected as part of the experiment. It does contain some but only for testing. Its contents are used for modelling and analysis scripts. This includes data extracted from literature for use in comparison, output from NASA CEA , etc.

## Sharing and access information
All the code and figures generated by said code is shared under a CC BY 4.0 license. Please provide proper attribution by citing this code with your preferred citation style. For example:

Duplay, Emmanuel. “Argon Laser-Plasma Thruster - Design and Test of a Laboratory Model - Processing and Analysis Code.” 4TU.ResearchData, 2023. https://doi.org/10.4121/e0d30ad2-cdca-45a6-84d6-34d95db49b2c.


## Contact
Emmanuel Duplay  
emmanuel.duplay@gmail.com