from PIL import Image
from matplotlib.axes import Axes
import matplotlib.pyplot as plt
import numpy as np
from datamanager import shotlist, DATAPATH
import sys

path = DATAPATH + 'LSP/LSP34_PS28_C001H001S0001/slices_S0001/'
deltat = 0.1  # ms, frame time
scale = 0.07  # mm px^-1

def plotframe(axes: Axes, filename: str, t: float):
    img = Image.open(path+filename).transpose(
        method=Image.Transpose.ROTATE_270).convert(
            mode='L',
            dither=Image.Dither.NONE
        )
    imgdata = np.asarray(img)
    height = imgdata.shape[0]
    axes.imshow(imgdata, cmap='gray', vmin=0, vmax=255, aspect='auto', 
                extent=(t, t+deltat, 0, scale*height))

if __name__ == '__main__':
    fig, ax = plt.subplots()
    files = [                       # Yes this is a dumb way of doing this, I
        'slices_S0001000001.bmp',   # gave up on coding this properly past this
        'slices_S0001000002.bmp',   # point because I have less than four days
        'slices_S0001000003.bmp',   # to submit my second draft
        'slices_S0001000004.bmp',
        'slices_S0001000005.bmp',
        'slices_S0001000006.bmp',
        'slices_S0001000007.bmp',
        'slices_S0001000008.bmp',
        'slices_S0001000009.bmp',
        'slices_S0001000010.bmp',
        'slices_S0001000011.bmp',
        'slices_S0001000012.bmp',
        'slices_S0001000013.bmp',
        'slices_S0001000014.bmp',
        'slices_S0001000015.bmp',
        'slices_S0001000016.bmp',
        'slices_S0001000017.bmp',
        'slices_S0001000018.bmp',
        'slices_S0001000019.bmp',
        'slices_S0001000020.bmp',
        'slices_S0001000021.bmp',
        'slices_S0001000022.bmp',
        'slices_S0001000023.bmp',
        'slices_S0001000024.bmp',
        'slices_S0001000025.bmp',
        'slices_S0001000026.bmp',
        'slices_S0001000027.bmp',
        'slices_S0001000028.bmp',
        'slices_S0001000029.bmp',
        'slices_S0001000030.bmp',
        'slices_S0001000031.bmp',
        'slices_S0001000032.bmp',
        'slices_S0001000033.bmp',
        'slices_S0001000034.bmp',
        'slices_S0001000035.bmp',
        'slices_S0001000036.bmp',
        'slices_S0001000037.bmp',
        'slices_S0001000038.bmp',
        'slices_S0001000039.bmp',
        'slices_S0001000040.bmp',
        'slices_S0001000041.bmp',
        'slices_S0001000042.bmp',
        'slices_S0001000043.bmp',
        'slices_S0001000044.bmp',
        'slices_S0001000045.bmp',
        'slices_S0001000046.bmp',
        'slices_S0001000047.bmp',
        'slices_S0001000048.bmp',
        'slices_S0001000049.bmp',
        'slices_S0001000050.bmp',
        'slices_S0001000051.bmp',
        'slices_S0001000052.bmp',
        'slices_S0001000053.bmp',
        'slices_S0001000054.bmp',
        'slices_S0001000055.bmp',
        'slices_S0001000056.bmp',
        'slices_S0001000057.bmp',
        'slices_S0001000058.bmp',
        'slices_S0001000059.bmp',
        'slices_S0001000060.bmp',
        'slices_S0001000061.bmp',
        'slices_S0001000062.bmp',
        'slices_S0001000063.bmp',
        'slices_S0001000064.bmp',
        'slices_S0001000065.bmp',
        'slices_S0001000066.bmp',
        'slices_S0001000067.bmp',
        'slices_S0001000068.bmp',
        'slices_S0001000069.bmp',
        'slices_S0001000070.bmp',
        'slices_S0001000071.bmp',
        'slices_S0001000072.bmp',
        'slices_S0001000073.bmp',
        'slices_S0001000074.bmp',
        'slices_S0001000075.bmp',
        'slices_S0001000076.bmp',
        'slices_S0001000077.bmp',
        'slices_S0001000078.bmp',
        'slices_S0001000079.bmp',
        'slices_S0001000080.bmp',
        'slices_S0001000081.bmp',
        'slices_S0001000082.bmp',
        'slices_S0001000083.bmp',
        'slices_S0001000084.bmp',
        'slices_S0001000085.bmp',
        'slices_S0001000086.bmp',
        'slices_S0001000087.bmp',
        'slices_S0001000088.bmp',
        'slices_S0001000089.bmp',
        'slices_S0001000090.bmp',
        'slices_S0001000091.bmp',
        'slices_S0001000092.bmp',
        'slices_S0001000093.bmp',
        'slices_S0001000094.bmp',
        'slices_S0001000095.bmp',
        'slices_S0001000096.bmp',
        'slices_S0001000097.bmp',
        'slices_S0001000098.bmp',
        'slices_S0001000099.bmp',
        'slices_S0001000100.bmp',
        'slices_S0001000101.bmp',
        'slices_S0001000102.bmp',
        'slices_S0001000103.bmp',
        'slices_S0001000104.bmp',
        'slices_S0001000105.bmp',
        'slices_S0001000106.bmp',
        'slices_S0001000107.bmp',
        'slices_S0001000108.bmp',
        'slices_S0001000109.bmp',
        'slices_S0001000110.bmp',
        'slices_S0001000111.bmp',
        'slices_S0001000112.bmp',
        'slices_S0001000113.bmp',
        'slices_S0001000114.bmp',
        'slices_S0001000115.bmp',
        'slices_S0001000116.bmp',
        'slices_S0001000117.bmp',
        'slices_S0001000118.bmp',
        'slices_S0001000119.bmp',
        'slices_S0001000120.bmp',
        'slices_S0001000121.bmp',
        'slices_S0001000122.bmp',
        'slices_S0001000123.bmp',
        'slices_S0001000124.bmp',
        'slices_S0001000125.bmp',
        'slices_S0001000126.bmp',
        'slices_S0001000127.bmp',
        'slices_S0001000128.bmp',
        'slices_S0001000129.bmp',
        'slices_S0001000130.bmp',
        'slices_S0001000131.bmp',
        'slices_S0001000132.bmp',
        'slices_S0001000133.bmp',
        'slices_S0001000134.bmp',
        'slices_S0001000135.bmp',
        'slices_S0001000136.bmp',
        'slices_S0001000137.bmp',
        'slices_S0001000138.bmp',
        'slices_S0001000139.bmp',
        'slices_S0001000140.bmp',
        'slices_S0001000141.bmp',
        'slices_S0001000142.bmp',
        'slices_S0001000143.bmp',
        'slices_S0001000144.bmp',
        'slices_S0001000145.bmp',
        'slices_S0001000146.bmp',
        'slices_S0001000147.bmp',
        'slices_S0001000148.bmp',
        'slices_S0001000149.bmp',
        'slices_S0001000150.bmp',
        'slices_S0001000151.bmp',
        'slices_S0001000152.bmp',
        'slices_S0001000153.bmp',
        'slices_S0001000154.bmp',
        'slices_S0001000155.bmp',
        'slices_S0001000156.bmp',
        'slices_S0001000157.bmp',
        'slices_S0001000158.bmp',
        'slices_S0001000159.bmp',
        'slices_S0001000160.bmp',
        'slices_S0001000161.bmp',
        'slices_S0001000162.bmp',
        'slices_S0001000163.bmp',
        'slices_S0001000164.bmp',
        'slices_S0001000165.bmp',
        'slices_S0001000166.bmp',
        'slices_S0001000167.bmp',
        'slices_S0001000168.bmp',
        'slices_S0001000169.bmp',
        'slices_S0001000170.bmp',
        'slices_S0001000171.bmp',
        'slices_S0001000172.bmp',
        'slices_S0001000173.bmp',
        'slices_S0001000174.bmp',
        'slices_S0001000175.bmp',
        'slices_S0001000176.bmp',
        'slices_S0001000177.bmp',
        'slices_S0001000178.bmp',
        'slices_S0001000179.bmp',
        'slices_S0001000180.bmp',
        'slices_S0001000181.bmp',
        'slices_S0001000182.bmp',
        'slices_S0001000183.bmp',
        'slices_S0001000184.bmp',
        'slices_S0001000185.bmp',
        'slices_S0001000186.bmp',
        'slices_S0001000187.bmp',
        'slices_S0001000188.bmp',
        'slices_S0001000189.bmp',
        'slices_S0001000190.bmp',
        'slices_S0001000191.bmp',
        'slices_S0001000192.bmp',
        'slices_S0001000193.bmp',
        'slices_S0001000194.bmp',
        'slices_S0001000195.bmp',
        'slices_S0001000196.bmp',
        'slices_S0001000197.bmp',
        'slices_S0001000198.bmp',
        'slices_S0001000199.bmp',
        'slices_S0001000200.bmp',
        'slices_S0001000201.bmp'
    ]
    t = 0
    for fn in files:
        plotframe(ax, fn, t)
        t += deltat
    ax.set_xlabel('Time $t$ [ms]')
    ax.set_ylabel('Position $x$ [mm]')
    ax.set_xlim((0,20.1))
    plt.show()